<template>
  <div class="user-header-block-container flex row content-end align-end">
    <div class="user-dropdown">
      <span>你好, </span>
      <el-dropdown>
        <span v-if="!isExpert">
          {{ user.name }}
        </span>
        <span v-else>专家</span>
        <el-dropdown-menu slot="dropdown">
          <el-dropdown-item class="dropdown-item" @click.native="logout">
            登出
          </el-dropdown-item>
        </el-dropdown-menu>
      </el-dropdown>
    </div>
    <div class="user-image">
      <img src="@/assets/logo.png" />
    </div>
  </div>
</template>

<script>
import { mapGetters } from "vuex";

export default {
  name: "UserHeaderBlock",
  computed: {
    ...mapGetters({
      user: "accounts/user",
      isExpert: "accounts/isExpert"
    })
  },
  methods: {
    async logout() {
      await this.$store.dispatch("accounts/logout");
      this.$router.push("/");
    }
  }
};
</script>

<style lang="scss" scoped>
@import "@/styles/theme.scss";

.user-header-block-container {
  color: $font-min-color;
  font-size: $font-main-size;
  .user-image {
    margin-left: 20px;
    width: 30px;
    height: 30px;
    img {
      height: 100%;
    }
  }
  .user-dropdown {
    span {
      &:hover {
        cursor: pointer;
      }
    }
  }
}
</style>
